Tag node
POST
/api/v1/nodes/{env}/tag
const url = 'https://osctrl.net/api/v1/nodes/example/tag';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"custom":"example","tag":"example","type":1,"uuid":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://osctrl.net/api/v1/nodes/example/tag \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "custom": "example", "tag": "example", "type": 1, "uuid": "example" }'Adds or updates a tag on a node.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
Request Bodyrequired
Section titled “Request Bodyrequired”Request body
Media typeapplication/json
object
custom
string
tag
string
type
integer
uuid
string
Examplegenerated
{ "custom": "example", "tag": "example", "type": 1, "uuid": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}